
package server;

import java.rmi.Remote;
import java.rmi.RemoteException;

import server.messaging.AckMessage;
import server.messaging.RequestMessage;
import server.messaging.ResultMessage;



public interface DataMessagePool extends Remote{
	
	public AckMessage receiveRequest(RequestMessage msg) throws RemoteException;
	public ResultMessage retrieveResult(AckMessage msg) throws RemoteException;
}
