
package server.messaging;

import java.io.Serializable;
import java.rmi.RemoteException;


public class ResultMessage implements Serializable{
	public static final int RES_TYPE_FAIL		= 0;
	public static final int RES_TYPE_SUCCEED	= 1;
	
	public static final int EXCEPTION_TYPE_UNKNOWN		 			= 0;	
	public static final int EXCEPTION_TYPE_QUEUE_DUPLICATION		= 1;
	public static final int EXCEPTION_TYPE_QUEUE_EMPTY				= 2;
	public static final int EXCEPTION_TYPE_QUEUE_FULL				= 3;
	public static final int	EXCEPTION_TYPE_QUEUE_NOT_FOUND			= 4;
	public static final int EXCEPTION_TYPE_MESSAGE_NULL				= 5;
	
	
	private int messageNumber;
	
	public ResultMessage(int msgNr) {
		messageNumber = msgNr;
	}
	
	
	public int getMessageNumber() {
		return messageNumber;
	}
	
	// TO BE IMPLEMENTED
	// add more fields and methods if necessary
	
	
	public class OperationException implements Serializable{
		// to be implemented
		
	}
}
